### Function

# Dex proxy_resolver_lookup

unstable since: 1.2

#### Declaration [src]

    DexFuture*
    dex_proxy_resolver_lookup (
      GProxyResolver* resolver,
      const char* uri
    )

#### Description [src]

Wraps `g_proxy_resolver_lookup_async()`.

Available since: 1.2

#### Parameters

`resolver`

  Type: `GProxyResolver`

  A `GProxyResolver`.

  The data is owned by the caller of the function.

`uri`

  Type: `const char*`

  A URI.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `DexFuture`

A `DexFuture` that resolves to a string vector of proxy URIs or rejects with error.

The caller of the function takes ownership of the data, and is responsible for freeing it.